hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-10573) Use Netty 4
Date Tue, 20 May 2014 17:54:39 GMT

    [ https://issues.apache.org/jira/browse/HBASE-10573?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14003740#comment-14003740
] 

stack commented on HBASE-10573:
-------------------------------

Did we break hbase on java6?  See https://builds.apache.org/job/PreCommit-HBASE-Build/9550//testReport/org.apache.hadoop.hbase.client/TestHCM/org_apache_hadoop_hbase_client_TestHCM/
where it complains:

Caused by: java.lang.UnsupportedOperationException: Only supported on java 7+.
	at io.netty.channel.socket.nio.NioDatagramChannel.checkJavaVersion(NioDatagramChannel.java:103)
	at io.netty.channel.socket.nio.NioDatagramChannel.joinGroup(NioDatagramChannel.java:381)
	at org.apache.hadoop.hbase.master.ClusterStatusPublisher$MulticastPublisher.connect(ClusterStatusPublisher.java:271)
...

I built with java7.

> Use Netty 4
> -----------
>
>                 Key: HBASE-10573
>                 URL: https://issues.apache.org/jira/browse/HBASE-10573
>             Project: HBase
>          Issue Type: Sub-task
>    Affects Versions: 0.99.0, hbase-10191
>            Reporter: Andrew Purtell
>            Assignee: Nicolas Liochon
>             Fix For: 0.99.0
>
>         Attachments: 10573.patch, 10573.patch, 10573.v3.patch
>
>
> Pull in Netty 4 and sort out the consequences.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message